| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IMouthEstimator Struct Referenceabstract
Estimators

Mouth estimator interface. More...

`#include <IMouthEstimator.h>`

Inheritance diagram for fsdk::IMouthEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, MouthEstimation &estimation) const noexcept=0
| Estimate MouthEstimation probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< MouthEstimation > mouthEstimations) const noexcept=0
| Estimate MouthEstimation probabilities of multiple warped images in a single estimate function call. More...
virtual Result< FSDKError > | estimate (const Image &warp, MouthEstimationExtended &estimation) const noexcept=0
| Estimate MouthEstimation probabilities. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< MouthEstimationExtended > mouthEstimations) const noexcept=0
| Estimate MouthEstimationExtended probabilities of multiple warped images in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Mouth estimator interface.

Note
  Estimator predicts person's mouth state.

## Member Function Documentation

virtual Result<FSDKError> fsdk::IMouthEstimator::estimate | ( | const Image & | warp,
|  | MouthEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MouthEstimation probabilities.

Parameters

  [in] | warp | image with warped face.
  [out] | estimation | estimation results.

Returns
  Result with error code.

See Also
  MouthEstimation, Image, Result and FSDKError for details.

Note
  warp format must be R8G8B8,

See Also
  Format.

virtual Result<FSDKError> fsdk::IMouthEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< MouthEstimation > | mouthEstimations
| ) |  | const
| pure virtual noexcept

Estimate MouthEstimation probabilities of multiple warped images in a single estimate function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | mouthEstimations | output MouthsEstimation span.

Returns
  Result with error code.

See Also
  Span, MouthEstimation, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IMouthEstimator::estimate | ( | const Image & | warp,
|  | MouthEstimationExtended & | estimation
| ) |  | const
| pure virtual noexcept

Estimate MouthEstimation probabilities.

Parameters

  [in] | warp | image with warped face.
  [out] | estimation | extended estimation results.

Returns
  Result with error code.

See Also
  MouthEstimationExtended, Image, Result and FSDKError for details.

Note
  warp format must be R8G8B8,

See Also
  Format.

virtual Result<FSDKError> fsdk::IMouthEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< MouthEstimationExtended > | mouthEstimations
| ) |  | const
| pure virtual noexcept

Estimate MouthEstimationExtended probabilities of multiple warped images in a single estimate function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | mouthEstimations | output MouthEstimationExtended span.

Returns
  Result with error code.

See Also
  Span, MouthEstimationExtended, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IMouthEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See Also
  Span, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IMouthEstimator.h